Subject: Re: [PATCH 0/5] coverity mixed bag

From: Junio C Hamano <[email-masked]>
Date: Thu, 24 Jul 2014 13:33:03 -0700

Jeff King <[email-masked]> writes:

> Since Stefan has recently started feeding git builds to coverity, I
> spent a few minutes poking through the results. There are tons of false
> positives, so there is some work to be done there with tweaking our
> coverity models. But there are some real issues, too. Here are fixes for
> the handful that I looked at.
>
>   [1/5]: receive-pack: don't copy "dir" parameter
>   [2/5]: free ref string returned by dwim_ref
>   [3/5]: transport: fix leaks in refs_from_alternate_cb
>   [4/5]: fix memory leak parsing core.commentchar
>   [5/5]: apply: avoid possible bogus pointer
>
> -Peff

Thanks, they all make sense to me.  I'd probably have to wiggle 4/5
a bit to port the fix over to both maint and master, though.